Skip to main content
GET
/
applications
/
attachments
/
{id}
/
download
Download attachment
curl --request GET \
  --url https://api.incentives.leap.energy/alpha/applications/attachments/{id}/download \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.incentives.leap.energy/alpha/applications/attachments/{id}/download"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.incentives.leap.energy/alpha/applications/attachments/{id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "downloadUrl": "https://your-project.supabase.co/storage/v1/object/sign/attachments/app-123/uuid-invoice.pdf?token=...",
  "url": "https://your-project.supabase.co/storage/v1/object/sign/attachments/app-123/uuid-invoice.pdf?token=...",
  "file_url": "https://your-project.supabase.co/storage/v1/object/sign/attachments/app-123/uuid-invoice.pdf?token=..."
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}
{
"code": "not_found",
"message": "Application 123 not found",
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"details": "Additional context about the error"
}

Overview

Get a signed download URL for an attachment.
The signed URL is valid for 1 hour. The response includes three fields (downloadUrl, url, file_url) all containing the same URL for compatibility.
For more information, see the Attachments Workflow section in the API Guide.

Authorizations

x-api-key
string
header
required

API key for authentication. Include your Leap API key in the x-api-key header: x-api-key: leap_live_...

Path Parameters

id
integer
required

Attachment ID

Query Parameters

application_id
integer

Application ID that the attachment belongs to.

Response

Successfully retrieved download URL

downloadUrl
string<uri>

Signed download URL (valid for 1 hour)

Example:

"https://your-project.supabase.co/storage/v1/object/sign/attachments/app-123/uuid-invoice.pdf?token=..."

url
string<uri>

Signed download URL (same as downloadUrl, for compatibility)

Example:

"https://your-project.supabase.co/storage/v1/object/sign/attachments/app-123/uuid-invoice.pdf?token=..."

file_url
string<uri>

Signed download URL (same as downloadUrl, for compatibility)

Example:

"https://your-project.supabase.co/storage/v1/object/sign/attachments/app-123/uuid-invoice.pdf?token=..."